> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Execute Action

> Apply a bulk action (resume, pause, change rule set, send to collections, cancel, or write off) to invoice sets.



## OpenAPI

````yaml put /billing/invoice/execute-action
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /billing/invoice/execute-action:
    put:
      tags:
        - provider
        - billing
      summary: Execute Action
      operationId: execute_action_billing_invoice_execute_action_put
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InvoiceAction'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    InvoiceAction:
      properties:
        invoiceSetIds:
          items:
            type: string
          type: array
          title: Invoicesetids
        actionType:
          type: string
          enum:
            - resume
            - pause
            - change rule set
            - to-collections
            - cancel
            - write-off
          title: Actiontype
        ruleSetId:
          anyOf:
            - type: string
            - type: 'null'
          title: Rulesetid
        writeOffReason:
          anyOf:
            - type: string
            - type: 'null'
          title: Writeoffreason
      type: object
      required:
        - invoiceSetIds
        - actionType
      title: InvoiceAction
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````